Method: cases.queryCaseViews

Full name: projects.locations.instances.cases.queryCaseViews

Queries views for a case.

HTTP request

GET https://{endpoint}/v1alpha/{name}:queryCaseViews

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The case name to query views for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Views to return. The service may return fewer than this value. If unspecified, at most 50 Views will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous cases.queryCaseViews call. Provide this to retrieve the subsequent page.

orderBy

string

Optional. Configures ordering of Views in the response. If not specified, Views are returned in descending order of their create time. The orderBy string is a comma separated list of fields. Supported sort fields: * firstPlaybookRunTime: Sort by the first time the playbook associated with this view was run. The default case view is considered to have run at the Unix epoch.

Request body

The request body must be empty.

Response body

Response message for CaseService.QueryCaseViews.

If successful, the response body contains data with the following structure:

JSON representation
{
  "caseViews": [
    {
      object (View)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
caseViews[]

object (View)

Output only. The list of views for the given case.

nextPageToken

string

Output only. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

Output only. The total number of case views.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.cases.get

For more information, see the IAM documentation.